---
layout: commands
page_title: 'Commands: ACL Policy Delete'
description: |
  The `consul acl policy delete` command deletes ACL policies of a specified name, ID, or ID prefix.
---

# Consul ACL Policy Delete

Command: `consul acl policy delete`

Corresponding HTTP API Endpoint: [\[DELETE\] /v1/acl/policy/:id](/consul/api-docs/acl/policies#delete-a-policy)

The `acl policy delete` command deletes a policy. Policies may be deleted by their ID or by name.

The table below shows this command's [required ACLs](/consul/api-docs/api-structure#authentication). Configuration of
[blocking queries](/consul/api-docs/features/blocking) and [agent caching](/consul/api-docs/features/caching)
are not supported from commands, but may be from the corresponding HTTP endpoint.

| ACL Required |
| ------------ |
| `acl:write`  |

## Usage

Usage: `consul acl policy delete [options]`

#### Command Options

- `-id=<string>` - The ID of the policy to delete. It may be specified as a
  unique ID prefix but will error if the prefix matches multiple policy IDs.

- `-name=<string>` - The Name of the policy to delete.

#### Enterprise Options

@include 'legacy/cli-http-api-partition-options.mdx'

@include 'legacy/http_api_namespace_options.mdx'

#### API Options

@include 'legacy/http_api_options_client.mdx'

@include 'legacy/http_api_options_server.mdx'

## Examples

Delete a policy:

```shell-session
$ consul acl policy delete -id 35b8
Policy "35b8ecb0-707c-ee18-2002-81b238b54b38" deleted successfully
```

Delete a policy by name:

```shell-session
$ consul acl policy delete -name acl-replication
Policy "35b8ecb0-707c-ee18-2002-81b238b54b38" deleted successfully
```
